## org.eclipse.datatools.connectivity.oda.util.logging
Class LoggingErrorHandler

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.LoggingErrorHandler

    public class LoggingErrorHandler

extends java.lang.Object

`LoggingErrorHandler` can be associated with `Handlers` to process any exceptions that occur during logging. This will alleviate the log caller from having to handle logging errors.

Field Summary
`static int` `CLOSE_FAILURE` The constant indicating a `close` of an `OutputStream` fails.
`static int` `FLUSH_FAILURE` The constant indicating a `flush` of an `OutputStream` fails.
`static int` `FORMAT_FAILURE` The constant indicating that formatting failed.
`static int` `GENERIC_FAILURE` The constant indicating a failure not in the other categories.
`static int` `OPEN_FAILURE` The constant indicating a `open` of an `OutputStream` fails.
`static int` `WRITE_FAILURE` The constant indicating a `write` of an `OutputStream` fails.

Constructor Summary
`LoggingErrorHandler()` Creates a `LoggingErrorHandler` instance.

Method Summary
`void` `error(java.lang.String message, java.lang.Exception exception, int errorCode)` This method is called when a `Handler` failure occurs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE_FAILURE

    public static int CLOSE_FAILURE

  The constant indicating a `close` of an `OutputStream` fails.

### FLUSH_FAILURE

    public static int FLUSH_FAILURE

  The constant indicating a `flush` of an `OutputStream` fails.

### FORMAT_FAILURE

    public static int FORMAT_FAILURE

  The constant indicating that formatting failed.

### GENERIC_FAILURE

    public static int GENERIC_FAILURE

  The constant indicating a failure not in the other categories.

### OPEN_FAILURE

    public static int OPEN_FAILURE

  The constant indicating a `open` of an `OutputStream` fails.

### WRITE_FAILURE

    public static int WRITE_FAILURE

  The constant indicating a `write` of an `OutputStream` fails.

Constructor Detail

### LoggingErrorHandler

    public LoggingErrorHandler()

  Creates a `LoggingErrorHandler` instance.

Method Detail

### error

    public void error(java.lang.String message,
                      java.lang.Exception exception,
                      int errorCode)

  This method is called when a `Handler` failure occurs. It outputs the failure to `System.err`.

  Parameters:
    `message` - the error message.
    `exception` - the `Exception` that caused the `Handler` to fail.
    `errorCode` - the error code constant.